<div class="container mt-3">
  <div class="card">
    <div class="card-header">
      <h3>{{predmet?.naziv}}</h3>
    </div>
    <div class="card-body">
      <ngb-tabset justify="start" (tabChange)="tabChanged($event)">
        <ngb-tab title="Podaci o predmetu">
          <ng-template ngbTabContent>
            <form>
              <div class="form-group">
                <label for="naziv">
                  <b>Naziv</b>
                </label>
                <input class="form-control" readonly name="naziv" value="{{predmet?.naziv}}">
              </div>
              <div class="form-group">
                <label for="oznaka">
                  <b>Oznaka</b>
                </label>
                <input class="form-control" readonly name="oznaka" value="{{predmet?.oznaka}}">
              </div>
              <div class="form-group">
                <label for="espb">
                  <b>ESPB</b>
                </label>
                <input class="form-control" readonly name="espb" value="{{predmet?.espb}}">
              </div>
            </form>
          </ng-template>
        </ngb-tab>
        <ngb-tab title="Predavaci" id="predavaciPredmeta">
          <ng-template ngbTabContent>
            <table class="table table-hover" *ngIf="nastavnici.length != 0">
              <thead class="bg-info text-light">
                <tr>
                  <th>Ime</th>
                  <th>Prezime</th>
                  <th>Korisnicko Ime</th>
                  <th>Email</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let nastavnik of nastavnici; let i = index" >
                  <td class="btn btn-link" [routerLink]="['/korisnici', nastavnik.id]">{{nastavnik.ime}}</td>
                  <td>{{nastavnik.prezime}}</td>
                  <td>{{nastavnik.korisnickoIme}}</td>
                  <td>{{nastavnik.email}}</td>
                  <td>
                    <i class="fas fa-minus-circle fa-2x text-danger" (click)="onNastavnikRemove(i)" placement="top" ngbTooltip="Remove"></i>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="jumbotron bg-warning" *ngIf="nastavnici.length == 0">
              <h2>Ni jedan profesor ne predaje predmet</h2>
            </div>
          </ng-template>
        </ngb-tab>


      </ngb-tabset>

    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-5">
          <div *ngIf="roleLoggedIn == 'ADMIN' ">
            <button class="btn btn-warning" (click)="onPredmetUpdate();open(predmetUpdate)">Update</button>
            <button class="btn btn-success" (click)="open(dodavanjeNastavnika);onDodajPredavaca()">Dodaj predavaca</button>
            <button class="btn btn-danger" (click)="open(content)">Delete</button>
          </div>
        </div>
        <div class="col-5 "></div>
        <div class="col-1"></div>
        <div class="col-1">
          <button class="btn btn-info" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Da li ste sigurni da zelite da obrisete predmet: {{predmet?.naziv}} ?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-danger" (click)="deletePredmet();c()">Delete</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>

<ng-template #predmetUpdate let-c="close" let-d="dismiss">
    <div class="modal-header bg-warning">
      <h4 class="modal-title text-light" id="modal-basic-title">Update</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group">
          <label for="naziv"><b>Naziv</b></label>
          <input type="text" class="form-control" name="naziv" [(ngModel)]="predmetCopy.naziv">
          <label for="oznaka"><b>Oznaka</b></label>
          <input type="text" [(ngModel)]="predmetCopy.oznaka" name="oznaka" class="form-control">
          <label for="espb"><b>ESPB</b></label>
          <input type="number" name="espb" [(ngModel)]="predmetCopy.espb" class="form-control">
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <div class="row">
        <div class="col-6">
          <button type="button" class="btn btn-success" (click)="onUpdateConfirm();c()">Update</button>
        </div>
        <div class="col-6">
          <button type="button" class="btn btn-default" (click)="c();onUpdateCancel()">Cancel</button>
        </div>
      </div>
  
    </div>
  </ng-template>




<ng-template #dodavanjeNastavnika let-c="close" let-d="dismiss">
  <div class="modal-header bg-primary">
    <h4 class="modal-title text-light" id="modal-basic-title">Dodavanje Nastavnika</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span class="text-light" aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <ul class="list-group modal-list">
      <li *ngFor="let nastavnik of checkboxNastavnici" class="list-group-item">
        <div class="checkbox">
          <label><input type="checkbox" name="nastavnikChecking" [(ngModel)]="nastavnik.checked" [checked]="nastavnik.checked"><b>
            {{nastavnik.nastavnik.ime}} {{nastavnik.nastavnik.prezime}}</b></label>
        </div>
      </li>
    </ul>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-primary" (click)="dodajIzabraneNastavnike();c()">Dodaj</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>
  </div>
</ng-template>